module Gitlab
  module Vulnerabilities
    class ContainerScanningVulnerability < BaseVulnerability
      def title
        "#{@data[:name]} in #{@data[:namespace]}"
      end

      # Passthrough properties
      %i[
        severity
      ].each do |method_name|
        define_method(method_name) do
          @data[method_name]
        end
      end

      def confidence
      end

      def description
        @data[:description].presence ||
          "**#{@data[:namespace]}** is affected by #{@data[:name]}"
      end

      def solution
        if @data[:fixedby].present? &&
            @data[:featurename].present? &&
            @data[:featureversion].present?

          "Upgrade **#{@data[:featurename]}** from `#{@data[:featureversion]}` to `#{@data[:fixedby]}`"
        end
      end

      def identifiers
        [{
          value: @data[:name],
          link: cve_link(@data[:name])
        }]
      end
    end
  end
end
