module Gitlab
  module Vulnerabilities
    class DastVulnerability < BaseVulnerability
      def title
        @data[:name]
      end

      # Passthrough properties
      %i[
        severity
        confidence
        solution
      ].each do |method_name|
        define_method(method_name) do
          @data[method_name]
        end
      end

      def description
        @data[:desc]
      end

      def identifiers
        ids = []

        if @data[:cweid].present?
          ids << {
            value: "CWE-#{@data[:cweid]}",
            link: cwe_link(@data[:cweid])
          }
        end

        if @data[:wascid].present?
          ids << {
            value: "WASC-#{@data[:wascid]}"
          }
        end

        ids
      end
    end
  end
end
